VirtualBox Main API

Public Member Functions | List of all members
IVetoEvent Interface Reference

Base abstract interface for veto events. More...

Inheritance diagram for IVetoEvent:

## Public Member Functions
void | addVeto (in wstring reason)
| Adds a veto on this event. More...
void | isVetoed ([retval] out boolean result)
| If this event was vetoed. More...
void | getVetos ([retval] out wstring[] result)
| Current veto reason list, if size is 0 - no veto. More...
void | addApproval (in wstring reason)
| Adds an approval on this event. More...
void | isApproved ([retval] out boolean result)
| If this event was approved. More...
void | getApprovals ([retval] out wstring[] result)
| Current approval reason list, if size is 0 - no approvals. More...
Public Member Functions inherited from IEvent
void | setProcessed ()
| Internal method called by the system when all listeners of a particular event have called IEventSource::eventProcessed. More...
void | waitProcessed (in long timeout, [retval] out boolean result)
| Wait until time outs, or this event is processed. More...

## Additional Inherited Members
Public Attributes inherited from IEvent
readonly attribute VBoxEventType | type
| Event type. More...
readonly attribute IEventSource | source
| Source of this event. More...
readonly attribute boolean | waitable
| If we can wait for this event being processed. More...

## Detailed Description

Base abstract interface for veto events.

Interface ID:
  `{7C5E945F-2354-4267-883F-2F417D216519}`

## Member Function Documentation

## ◆ addVeto()

void IVetoEvent::addVeto | ( | in wstring | reason | ) |

Adds a veto on this event.

Parameters

  reason | Reason for veto, could be null or empty string.

## ◆ isVetoed()

void IVetoEvent::isVetoed | ( | [retval] out boolean | result | ) |

If this event was vetoed.

Parameters

  result | Reason for veto.

## ◆ getVetos()

void IVetoEvent::getVetos | ( | [retval] out wstring [] | result | ) |

Current veto reason list, if size is 0 - no veto.

Parameters

  result | Array of reasons for veto provided by different event handlers.

## ◆ addApproval()

void IVetoEvent::addApproval | ( | in wstring | reason | ) |

Adds an approval on this event.

Parameters

  reason | Reason for approval, could be null or empty string.

## ◆ isApproved()

void IVetoEvent::isApproved | ( | [retval] out boolean | result | ) |

If this event was approved.

## ◆ getApprovals()

void IVetoEvent::getApprovals | ( | [retval] out wstring [] | result | ) |

Current approval reason list, if size is 0 - no approvals.

Parameters

  result | Array of reasons for approval provided by different event handlers.